/* Footer code */
footer {
    background-color: #000e26;
    width: 100%;
    margin: 0 auto;
    padding: 30px 20px;
    font-family: "Open Sans", sans-serif !important;
    /* margin-top: 100px; */
  }
  
  .footer-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #374151;
    padding-bottom: 32px;
  }
  
  .footer-logo-container {
    display: flex;
    align-items: center;
    gap: 16px;
  }
  
  .footer-p-tags {
    font-size: 0.875rem;
    line-height: 113%;
  }
  
  .footer-header .browse-btn {
    background-color: white;
    font-size: 0.875rem;
    line-height: 113%;
    color: #27344a;
    padding: 8px 16px;
    border-radius: 4px;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    transition: background-color 0.3s, color 0.3s;
    font-weight:600;
  }
  
  .footer-header .browse-btn:hover {
    background-color: #2563eb;
    color: white;
  }
  
  .footer-header .browse-btn img {
    transition: filter 0.3s;
  }
  
  .footer-header .browse-btn:hover img {
    filter: brightness(0) invert(1);
  }
  
  /* Main Content Grid */
  .content-grid {
    margin-bottom: 120px;
    margin-top: 32px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
  }
  
  /* Sitemap Section */
  .sitemap-lists {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px 32px; 
    /* margin-top: 16px; */
  }
  
  .sitemap-list {
    list-style: none;
    padding: 0;
    margin: 0;

  }
  
  .sitemap-list li {
    margin-bottom: 8px;
  }
  
  .sitemap-list li a {
    color: #9ca3af;
    text-decoration: none;
  }
  
  .sitemap-list li a:hover {
    color: white;
  }
  
  /* Connect Section */
  .social-links {
    display: flex;
    gap: 16px;
    margin-top: 16px;
    align-items: center;
  }
  
  .social-links img {
    min-width: 12px;
    opacity: 0.4;
    transform: scale(1.3);
  }
  
  .social-links img:hover {
    opacity: 1;
  }
  
  .icon-box-footer {
    width: 13.3px;
    height: 13.3px;
    border-radius: 6px;
  }
  
   .social-link {
     border: 1px solid gray;
     border-radius: 4px;
     width: 38px;
     height: 38px;
     display: flex;
     justify-content: center;
     align-items: center;
     line-height: 0;
   }
  
   .social-link:hover {
     border-color: white;
   }
  
  .footer-icon-box {
    width: 40px;
    height: 40px;
    border: 1px solid white;
    border-radius: 8px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
  }
  
  /* Newsletter Section */
  .newsletter p {
    font-weight: normal;
    font-size: 14px;
  }
  
  .newsletter-form {
    display: flex;
    margin-top: 16px;
    position: relative;
    height: 50px;
    margin-bottom: 16px;
  }
  
  .newsletter-input {
    position: absolute;
    width: 100%;
    height: 40px;
    padding: 8px 16px;
    border: 1px solid #4b5563;
    background-color: #000e26;
    color: white;
    border-radius: 4px;
  }
  
  .newsletter-input:focus {
    outline: none;
  }
  
  .subscribe-btn {
    position: absolute;
    right: 4px;
    top: 2px;
    border-radius: 4px;
    padding: 4px 12px;
    background-color: #2563eb;
    color: white;
    border: 1px solid #2563eb;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 4px;
    transition: background-color 0.3s, color 0.3s;
  }
  
  .subscribe-arrow {
    width: 10px;
    height: 10px;
    transition: filter 0.3s;
  }
  
  .subscribe-btn:hover {
    background-color: white;
    color: #2563eb;
    border: none;
  }
  
  .subscribe-btn:hover .subscribe-arrow {
    filter: invert(32%) sepia(98%) saturate(1316%) hue-rotate(210deg) brightness(97%) contrast(98%);
  }
  
  .newsletter p {
    /* margin-top: 0px; */
    color: #9ca3af;
  }
  
  .footer-bottom {
    margin-top: 32px;
    border-top: 1px solid #374151;
    padding-top: 32px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 60px;
  }
  
  .footer-links {
    display: flex;
    flex-wrap: wrap;
    flex: auto;
    justify-content: space-around;
    max-width: 585px;
  }
  
  .footer-links a {
    color: #9ca3af;
    text-decoration: none;
    margin: 0px 30px;
  }
  
  .footer-links a:hover {
    color: white;
  }
  
  .footer-bottom p {
    color: #9ca3af;
    margin: 0 0 10px 0;
  }
  
  
  .newsletter-v2 {
      display: flex;
      flex-direction: column;
      gap: 40px;
  }
  
  /* Common Styles */
  .newsletter,
  .Connect,
  .sitemap,
  h3 {
    font-size: 16px;
    font-weight: bold;
    color: white;
    margin: 0;
  }
  
  .sitemap {
      grid-column: span 2;
  }
  
  
  
  @media (max-width: 768px) {
    .content-grid {
      margin-bottom: 50px !important;
      grid-template-columns: 1fr !important;
    }
    
    .sitemap-lists {
        display: grid;
        /* grid-template-columns: none; */
        grid-template-columns: repeat(2,1fr);
        gap: 32px 20px;
        /* gap: 16px; */
        /* margin-top: 16px; */
      }
  
    .footer-bottom {
      flex-direction: column !important;
      align-items: flex-start !important;
    }
  
    .footer-links {
      display: grid !important;
      grid-template-columns: repeat(2, 1fr) !important;
      gap: 10px 20px !important;
      width: 100% !important;
      margin-top: 10px !important;
    }
  
    .footer-links a {
      margin: 0px 20px 10px 0 !important;
      line-height: 1;
    }
  
    .api-container {
      padding: 0px 0px;
    }
    
    
    .newsletter-v2 {
      display: flex;
      flex-direction: column-reverse;
      gap: 40px;
    }
  }